API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /apps/{app_id}

Gets an app by ID

Verb: GET

Auth: Basic Auth

Content Types:

application/json
text/xml

Retrieves an app profile by ID.

Sample Request:
$ curl https://api.enterprise.apigee.com/v1/o/{org_name}/apps/{app_id} \ 
-u myname:mypass
Sample Response:
{
  "accessType" : "read",
  "apiProducts" : [ ],
  "appFamily" : "default",
  "appId" : "72d0da6a-6441-48d8-98af-1da6187d0adc",
  "attributes" : [ ],
  "callbackUrl" : "login.myapp.com",
  "createdAt" : 1354204157152,
  "createdBy" : "andrew@apigee.com",
  "credentials" : [ {
    "apiProducts" : [ {
      "apiproduct" : "API PremiumProduct",
      "status" : "approved"
    } ],
    "attributes" : [ ],
    "consumerKey" : "FbLtTbxQC3jhGlNFbeGI75fsfaVH4ZmQ",
    "consumerSecret" : "IwpLk8xg8lX1AUxY",
    "scopes" : [ ],
    "status" : "approved"
  } ],
  "developerId" : "jAvgq2abxyuMsyd0",
  "lastModifiedAt" : 1354204157152,
  "lastModifiedBy" : "andrew@apigee.com",
  "name" : "SampleApp",
  "scopes" : [ ],
  "status" : "approved"
}
Last updated: about 1 month ago